После попытки обновить wps-office началась какая-то ерунда.

Изображение пользователя primorets.

Вчера обновлял wps-office. В процессе действа началась какая-то хрень: комп завис, потом, после перезагрузки,отказался работать с Кингсофтом вообще - сообщает, что E: Пакет wps-office нуждается в переустановке, но найти архив для него не удалось.. Все попытки каким-то образом сдвинуть дело с мёртвой точки кончились ничем: ни через Муон, ни посредством консоли со святой троицей ( apt-get dist-upgrade & apt-get -f install &
dpkg --configure -a) ничего сделать не могу. При попытке сделать что-то через Синаптик, появляется табличка об ошибке в пакете wps-office. При нажатии на табличке кнопки "закрыть", табличка закрывается...вместе с Синаптиком.
Кроме того, появившиеся в Муоне оповещения об обновлении ФФ реализовать не могу - пакеты не загружаются. Отключились и Муон и консоль.
Что делать?

0
dyug - 9 Январь, 2016 - 15:22

А что, для данного пакета есть отдельный репозитарий? или он выкладывается на какой из доступных репозитариев?

Это не ехидство, это именно вопрос.
ибо если репов нет, и выкачивается отдельно деб пакет, то ставить его нужно методом dpkg -i wpsoffice*
а не методом "обновления".

0
AlexBKost - 9 Январь, 2016 - 16:18

При установке вручную новой версии требуемого продукта, предыдущую желательно удалить. Не помешает.

0
Aleksandru71 - 9 Январь, 2016 - 16:38
Изображение пользователя Aleksandru71.

Так, уже два учителя. Кто предложит решение проблемы?

0
AlexBKost - 9 Январь, 2016 - 16:41

И два пострадавших от неудачного "обновления"?

0
Aleksandru71 - 9 Январь, 2016 - 16:42
Изображение пользователя Aleksandru71.

Я не страдающий, я наблюдатель.

0
dyug - 10 Январь, 2016 - 14:58

Эмм, наблюватель, читать посты правильно нужно.
установить методом dpkg -i

0
Aleksandru71 - 10 Январь, 2016 - 16:30
Изображение пользователя Aleksandru71.

Вряд ли ему сейчас dpkg -i поможет.:-)

0
dyug - 10 Январь, 2016 - 17:24

c --force-all? да за милую душу. :-)
правда, починится ли все остальное, я не в курсе.
У меня так когда то починилось..

0
Aleksandru71 - 10 Январь, 2016 - 17:45
Изображение пользователя Aleksandru71.

А мне в свое время не помогло. Помогло что то из того, что AlexBKost предлагает.

0
AlexBKost - 10 Январь, 2016 - 18:30

Где-то так, это должно позволить удалить через Synaptic уже не работающий wps-office, а потом установить заново свежий. Я только не уверен, нужно ли делать перезагрузки и где.

+1
AlexBKost - 9 Январь, 2016 - 20:03

Отключились и Муон и консоль.
Что делать?
Удалить файл /var/lib/apt/lists/lock и выполнить sudo apt-get update.

0
primorets - 12 Январь, 2016 - 12:29
Изображение пользователя primorets.

Нет, без толку.

0
dyug - 12 Январь, 2016 - 13:30

Я правильно понимаю, что dpkg -i не проверялось?
Еще можно попробовать dpkg -P имя_пакета,_как_оно_показывается (удаление полное, удаляются только системные файлы, файлы пользователя не затрагиваются)
в dpkg -l wps-office*

0
Гость - 14 Январь, 2016 - 03:25

Спасибо, попробую.

primorets

0
primorets - 15 Январь, 2016 - 12:10
Изображение пользователя primorets.

В общем, пакет wps-office абсолютно неработоспособен. Необходимо его удалить.
А как?

sergey@sergey-Lenovo-G580:~$ sudo aptitude reinstall wps-office
Следующие пакеты будут ПЕРЕУСТАНОВЛЕНЫ:
wps-office
Следующие пакеты будут УДАЛЕНЫ:
linux-signed-image-4.2.0-22-generic{u}
0 пакетов обновлено, 0 установлено новых, 1 переустановлено, 1 пакетов отмечено для удаления, и 8 пакетов не обновлено.
Необходимо получить 0 Б архивов. После распаковки освободится 20,5 kБ.
Хотите продолжить? [Y/n/?]
E: Невозможно найти источник для загрузки «wps-office:amd64» версии «9.1.0.4975~a19p1»
E: Невозможно найти источник для загрузки «wps-office:amd64» версии «9.1.0.4975~a19p1»
E: Внутренняя ошибка: не удалось создать список пакетов для скачивания
sergey@sergey-Lenovo-G580:~$ sudo aptitude purge wps-office
Следующие пакеты будут УДАЛЕНЫ:
wps-office{p}
0 пакетов обновлено, 0 установлено новых, 1 пакетов отмечено для удаления, и 8 пакетов не обновлено.
Необходимо получить 0 Б архивов. После распаковки освободится 296 MБ.
Хотите продолжить? [Y/n/?]
dpkg: ошибка при обработке пакета wps-office (--purge):
пакет абсолютно неработоспособен; перед попыткой удаления
его следует переустановить
При обработке следующих пакетов произошли ошибки:
wps-office
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ошибка при выполнении запрошенной операции с пакетом. Попытка восстановить:

sergey@sergey-Lenovo-G580:~$ sudo aptitude purge wps-office
Следующие пакеты будут УДАЛЕНЫ:
wps-office{ap}
0 пакетов обновлено, 0 установлено новых, 1 пакетов отмечено для удаления, и 8 пакетов не обновлено.
Необходимо получить 0 Б архивов. После распаковки освободится 296 MБ.
Хотите продолжить? [Y/n/?]
dpkg: ошибка при обработке пакета wps-office (--purge):
пакет абсолютно неработоспособен; перед попыткой удаления
его следует переустановить
При обработке следующих пакетов произошли ошибки:
wps-office
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ошибка при выполнении запрошенной операции с пакетом. Попытка восстановить:

sergey@sergey-Lenovo-G580:~$ sudo aptitude full-upgrade
Следующие пакеты будут обновлены:
chromium-codecs-ffmpeg-extra firefox firefox-locale-en firefox-locale-ru libnss3 libnss3-1d libnss3-nssdb oxideqt-codecs-extra
Следующие частично установленные пакеты будут настроены:
wps-office
8 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 Б архивов. После распаковки 12,3 kБ будет занято.
Хотите продолжить? [Y/n/?]
E: Невозможно найти источник для загрузки «wps-office:amd64» версии «9.1.0.4975~a19p1»
E: Невозможно найти источник для загрузки «wps-office:amd64» версии «9.1.0.4975~a19p1»
E: Внутренняя ошибка: не удалось создать список пакетов для скачивания
sergey@sergey-Lenovo-G580:~$

+3
dyug - 15 Январь, 2016 - 13:41

еще раз - НЕ ПОЛЬЗУЙСЯ аптом НЕ ПОЛЬЗУЙСЯ! только dpkg использовать нужно.
Это пакет НЕ ИЗ РЕПА, он отдельный.
Апт и аптитуде используют пакеты из репозитариев, и их плющит при ненахождении пакета в нужном месте.

0
leisampei - 15 Январь, 2016 - 12:40
Изображение пользователя leisampei.

пакет абсолютно неработоспособен; перед попыткой удаления
его следует переустановить

А как?
скачать дебпакет.
установить с помощью qapt, gdebi или dpkg.
удалить.
sudo apt purge wps-office

0
primorets - 15 Январь, 2016 - 13:17
Изображение пользователя primorets.

Скачал в очередной раз. При попытке установить пишет:
Индекс программного обеспечения поврежден
Это серьёзная ошибка в вашей системе управления программным обеспечением. Проверьте наличие повреждённых пакетов при помощи synaptic, права доступа на файлы и корректность содержимого файла '/etc/apt/sources.list' и обновите информацию о программном обеспечении при помощи: 'sudo apt-get update' и 'sudo apt-get install -f'.

Всё начинает повторяться.
Задрал этот бег по кругу.

0
leisampei - 15 Январь, 2016 - 13:33
Изображение пользователя leisampei.

Так ты проверял sources.list и выполнял apt-get update и sudo apt-get install -f?
И какой при этом выхлоп в консоли.
Также, если есть дополнительные репы проверь в /etc/apt/sources.list.d/ или отключи пока доп.репы

0
primorets - 16 Январь, 2016 - 07:32
Изображение пользователя primorets.

Я, честно сказать, не совсем понимаю, что значит "проверить сорс-лист". Проверить что? Какой критерий проверки?
А вот следующая ситуация "развеселила"... В Kate /etc/apt/sources.list открылся.
В консоли набрал nano /etc/apt/sources.list, а мне сообщают, что такого файла не существует. Поэтому он - пустенький...
Вот, что это? Бред какой-то...

Виноват. Перепроверил - файл открылся. Тупо заменил его содержание тем, что ты разместил. Перезагрузился, произвёл обновление. Но устанавливать обновления не получается никак.
Пакет wps-office нуждается в переустановке, но найти архив для него не удалось
И хоть ты сдохни!

0
primorets - 16 Январь, 2016 - 08:23
Изображение пользователя primorets.

Может, возраст является препятствием для понимания того, что нужно сделать? Ну, ни как не могу вкурить, КАК делать то, что мне маны советуют:
E: Пакет wps-office нуждается в переустановке, но найти архив для него не удалось.
sergey@sergey-Lenovo-G580:~$ sudo apt purge wps-office
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
E: Пакет wps-office нуждается в переустановке, но найти архив для него не удалось.
sergey@sergey-Lenovo-G580:~$ sudo dpkg -C
[sudo] пароль для sergey:
При установке следующих пакетов возникли серьёзные проблемы, и они
совершенно неработоспособны. Чтобы эти (и другие, зависящие от них)
пакеты корректно функционировали, их необходимо переустановить:
wps-office WPS Office, is an office productivity suite.

sergey@sergey-Lenovo-G580:~$ dpkg -P wps-office_10.1.0.5460-a20p1_amd64.deb
dpkg: ошибка: запрошенная операция требует привилегий суперпользователя
sergey@sergey-Lenovo-G580:~$ sudo dpkg -P wps-office_10.1.0.5460-a20p1_amd64.deb
dpkg: ошибка: пакеты задаются их собственными именами, а не именами файлов, из которых они установлены

Справка по установке и удалению пакетов доступна по команде dpkg --help [*];
Программа «apt» или «aptitude» предоставляет дружественный интерфейс
управления пакетами;
Чтобы получить список значений флагов отладки dpkg, введите dpkg -Dhelp;
Чтобы получить информацию об игнорировании проблем, введите dpkg --force-help;
Чтобы получить справку по работе с файлами *.deb, введите dpkg-deb --help;

Команды, отмеченные [*], выводят большое количество информации.
Объедините их в конвейер с программами «less» или «more»!
sergey@sergey-Lenovo-G580:~$ dpkg -P wps-office.deb
dpkg: ошибка: запрошенная операция требует привилегий суперпользователя
sergey@sergey-Lenovo-G580:~$ sudo dpkg -P wps-office.deb
dpkg: ошибка: пакеты задаются их собственными именами, а не именами файлов, из которых они установлены

Справка по установке и удалению пакетов доступна по команде dpkg --help [*];
Программа «apt» или «aptitude» предоставляет дружественный интерфейс
управления пакетами;
Чтобы получить список значений флагов отладки dpkg, введите dpkg -Dhelp;
Чтобы получить информацию об игнорировании проблем, введите dpkg --force-help;
Чтобы получить справку по работе с файлами *.deb, введите dpkg-deb --help;

Команды, отмеченные [*], выводят большое количество информации.
Объедините их в конвейер с программами «less» или «more»!
sergey@sergey-Lenovo-G580:~$ dpkg-deb --help
Использование: dpkg-deb [<параметр> …] <команда>

Команды:
-b|--build <каталог> [] собрать архив
-c|--contents вывести список файлов архива
-I|--info [<файл>…] вывести информацию в стандартный поток
вывода
-W|--show вывести информацию о пакете(ах)
-f|--field [<поле>…] вывести поле(я) в стандартный поток
вывода
-e|--control [<каталог>] извлечь управляющую информацию
-x|--extract <каталог> извлечь файлы
-X|--vextract <каталог> извлечь файлы и вывести их список
-R|--raw-extract <каталог>
извлечь управляющую информацию и файлы
--ctrl-tarfile извлечь control tarfile.
--fsys-tarfile извлечь архив файловой системы
(файл tar).

-?, --help Вывести это сообщение
--version Вывести номер версии

— имя файла архива в формате Debian
<файл> — имя файла, содержащего административный компонент
<поле> — название поля в основном управляющем файле

Параметры:
-v, --verbose включить подробный вывод
-D, --debug включить вывод отладочной информации
--showformat=<формат> использовать альтернативный
формат вывода в команде --show
--deb-format=<формат> задать формат архива
допустимые значения: 0.939000, 2.0
(по умолчанию)
--old тоже, что и --deb-format=0.939000
--new тоже, что и --deb-format=2.0
--nocheck не проверять управляющий файл
(собирается неправильный пакет)
--uniform-compression Использовать параметры сжатия
для всех элементов
-z# режим сжатия при сборке
-Z<тип> тип сжатия для использования
при сборке;
допустимые значения: gzip, xz, bzip2,
none
-S<стратегия> задать стратегию сжатия при сборке;
допустимые значения: none, extreme (xz),
filtered, huffman, rle, fixed (gzip)

Синтаксис описания формата:
Формат описывается строкой, которая будет выведена один раз для каждого
пакета. Формат может включать стандартные последовательности \n (конец
строки), \r (возврат каретки) или \\ (обратная косая черта). Информация
о пакете включается путём вставки в строку ссылок на поля пакета вида
${поле[;ширина]}. Поля выравниваются по правому краю, если ширина
неотрицательна и по левому в противном случае.

Для установки или удаления пакетов используйте программу «dpkg»
или дружественный интерфейс управления пакетами «apt» или
«aptitude». Пакеты, распакованные с помощью «dpkg-deb --extract»,
будут установлены неправильно!
sergey@sergey-Lenovo-G580:~$

Граждане, помогите!

0
leisampei - 16 Январь, 2016 - 10:11
Изображение пользователя leisampei.

sudo dpkg -P wps-office_10.1.0.5460-a20p1_amd64.deb
dpkg: ошибка: пакеты задаются их собственными именами, а не именами файлов, из которых они установлены

соответственно:
sudo dpkg -P wps-office
или попробуй игнорируя проблемы:
sudo dpkg --force-all -P wps-office

0
primorets - 19 Январь, 2016 - 12:01
Изображение пользователя primorets.

Вот, что получается.

sergey@sergey-Lenovo-G580:~$ sudo dpkg -P wps-office
[sudo] пароль для sergey:
dpkg: ошибка при обработке пакета wps-office (--purge):
пакет абсолютно неработоспособен; перед попыткой удаления
его следует переустановить
При обработке следующих пакетов произошли ошибки:
wps-office
sergey@sergey-Lenovo-G580:~$ sudo dpkg --force-all -P wps-office
dpkg: предупреждение: проблема игнорируется, поскольку задан параметр --force:
dpkg: предупреждение: пакет абсолютно неработоспособен; перед попыткой удаления
его следует переустановить
(Чтение базы данных … на данный момент установлено 258843 файла и каталога.)
Удаляется wps-office (9.1.0.4975~a19p1) …
xdg-mime: file '/usr/share//mime/packages/wps-office-wps.xml' does not exist
dpkg: ошибка при обработке пакета wps-office (--purge):
подпроцесс установлен сценарий pre-removal возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
wps-office
sergey@sergey-Lenovo-G580:~$

Спасибо за участие. Только, вот, ни фига не получается...

+1
Fogma - 19 Январь, 2016 - 14:20
Изображение пользователя Fogma.

попробуй следующее:
в консоли "locate wps-office", удалить всё что найдет. потом отсюда скачать пакет последней версии и через dpkg -i <имя пакета>, его установить.

+1
leisampei - 19 Январь, 2016 - 14:52
Изображение пользователя leisampei.

Тогда аккуратно ручками удалить файлы и папки программы

Затем открыть файл /var/lib/dpkg/status с привелегиями root-а
найти там абзац Package: wps-office и удалить весь абзац до следующего Package: xxxxxxxx

Повторю ещё раз: "Аккуратно". ))
+2
Fogma - 19 Январь, 2016 - 14:54
Изображение пользователя Fogma.

главное вот эти файлы удалить:
/var/lib/dpkg/info/wps-office.copyright
/var/lib/dpkg/info/wps-office.list
/var/lib/dpkg/info/wps-office.md5sums
/var/lib/dpkg/info/wps-office.postinst
/var/lib/dpkg/info/wps-office.postrm
/var/lib/dpkg/info/wps-office.prerm

0
primorets - 23 Февраль, 2016 - 14:13
Изображение пользователя primorets.

Спасибо! Файлы, указанные вами, удалил с помощью именно для этого установленому Крусадеру. Открыл его через консоль, получив права рута, а дальше - подсказанный вами списочек файлов удалил, после чего благополучно удалился и оставшийся wps-оffice.

+1
AlexBKost - 23 Февраль, 2016 - 15:09

... установленому Крусадеру. Открыл его через консоль, получив права рута, а дальше ... У Крусадера есть специальный режим запуска Krusader - режим «root», не требующий запуска через консоль, а просто из меню, например, с теми же полномочиями.

0
Гость - 23 Февраль, 2016 - 14:36

А чем wps-office существенно превосходит LibreOffice?

0
DarkneSS - 23 Февраль, 2016 - 19:58
Изображение пользователя DarkneSS.

Говорят, совместимостью с форматами MS.

0
Гость - 24 Февраль, 2016 - 09:01

Это правда. Если Libre открывает MSO, то наоборот уже не. А wps c MSO работают в обоих направлениях.

Всем за советы и участие спасибо,
primorets

0
lord_i - 24 Февраль, 2016 - 18:43
Изображение пользователя lord_i.

Либра вполне может сохранять файлы в формате мсо. Просто у нее дефолтный формат свой.

+1
AlexBKost - 24 Февраль, 2016 - 19:03

Это правда. Если Libre открывает MSO, то наоборот уже не. Это не правда. Может так когда-то и было, только не теперь. LibreOffice 5.1.0.3 (такой уже имеется на 16.04) работает с форматами MS в обоих направлениях. В испытании приняли участие файлы с MSOffice 2007.

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры